USA

Sample structures of the E_KYC_CHECK API responses for the USA SSN Verification (usa_agg_phone), we use the response structure, as provided on this page.

GREEN

The following response example represents successful checks.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "TIN",
      "createdAt": "2025-10-21 07:40:44",
      "id": "5acd4660-5023-41ec-9eb5-e3a2ddc38fc1",
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "USA",
        "number": "0102",
        "dob": "1995-01-20",
        "phone": "+12015555133"
      },
      "extractedDoc": {
        "country": "USA",
        "firstName": "OLIVIA",
        "middleName": "ANN",
        "lastName": "WILSON",
        "email": "[email protected]",
        "dob": "1995-01-20",
        "addresses": [
          {
            "flatNumber": "APT 123",
            "street": "JENNA PLAZA",
            "state": "NY",
            "buildingNumber": "6",
            "town": "NEW YORK CITY",
            "postCode": "10019-1685",
            "startDate": "2000-01-01 00:00:00",
            "endDate": "2025-01-01 00:00:00",
            "country": "USA",
            "formattedAddress": "JENNA PLAZA, 6 APT 123, NEW YORK CITY, New York, United States of America, 10019-1685",
            "providedLocationPosition": {
              "locationCoords": {
                "lat": 40.764632,
                "lon": -73.974325
              }
            },
            "source": "externalDb"
          }
        ],
        "tin": "601230102",
        "additionalFields": [
          {
            "name": "emails",
            "value": "[email protected], [email protected], [email protected]"
          }
        ]
      },
      "tinCheckInfo": {
        "answer": "GREEN",
        "tinValidity": "GREEN",
        "personDataMatchFound": "GREEN"
      }
    }
  ]
}

RED

The following response example indicates a high-risk result. Data retrieved, but a check failed due to violations (Deceased Person, DoB Mismatch).

{
  "checks": [
    {
      "answer": "RED",
      "checkType": "TIN",
      "createdAt": "2025-10-21 13:49:07",
      "id": "e75fe1a6-e857-4a05-b4aa-dbc14f0b55ee",
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "USA",
        "number": "0123",
        "phone": "+12015555133",
        "dob": "1990-01-30"
      },
      "extractedDoc": {
        "country": "USA",
        "firstName": "OLIVIA",
        "middleName": "ANN",
        "lastName": "WILSON",
        "email": "[email protected]",
        "dob": "1930-01-30",
        "addresses": [
          {
            "flatNumber": "APT 123",
            "street": "JENNA PLAZA",
            "state": "NY",
            "buildingNumber": "6",
            "town": "NEW YORK CITY",
            "postCode": "10019-1685",
            "startDate": "1980-01-01 00:00:00",
            "endDate": "2020-01-01 00:00:00",
            "country": "USA",
            "formattedAddress": "JENNA PLAZA, 6 APT 123, NEW YORK CITY, New York, United States of America, 10019-1685",
            "providedLocationPosition": {
              "locationCoords": {
                "lat": 40.764632,
                "lon": -73.974325
              }
            },
            "source": "externalDb"
          }
        ],
        "tin": "601230102",
        "additionalFields": [
          {
            "name": "emails",
            "value": "[email protected], [email protected], [email protected]"
          }
        ]
      },
      "tinCheckInfo": {
        "answer": "RED",
        "tinValidity": "RED",
        "personDataMatchFound": null
      },
      "violations": [
        "DEAD",
        "BDATE_MISMATCH"
      ]
    }
  ]
}